Subject: bug#25265: make-thread crashes in OS X 10.6

From: Alan Third <[email-masked]>
Date: Thu, 15 Jun 2017 20:04:32 +0100

On Thu, Jun 15, 2017 at 08:57:45PM +0200, Charles A. Roelli wrote:
> Well done, it works here without a crash.
> 
> I ran all the tests and 'thread-tests.el' passed.  But I couldn't find
> how to rerun it.  What command did you use?

M-x ert<RET><RET>

Last time I tried I couldn’t get two tests to fail, so I don’t know
what the second one was. The other test fails more often than not
here.

I think I’ll probably have to go back through old threading bugs and
see if I can pick up any hints as to what might cause the test to
fail.

My output:

Selector: t
Passed:  27
Failed:  1 (1 unexpected)
Skipped: 0
Total:   28/28

Started at:   2017-06-15 20:03:07+0100
Finished.
Finished at:  2017-06-15 20:03:12+0100

.F..........................

F thread-signal-early
    Test signaling a thread as soon as it is started by the OS.
    (ert-test-failed
     ((should-not
       (thread-alive-p thread))
      :form
      (thread-alive-p #<thread 0x102238000>)
      :value t))

-- 
Alan Third